Skip to content

# Class: LensRendererExtension

## Hierarchy

- LensExtension

↳ LensRendererExtension

## Index

### Constructors

- constructor

### Properties

- appPreferences
- clusterFeatures
- clusterPageMenus
- clusterPages
- commands
- globalPageMenus
- globalPages
- id
- isBundled
- kubeObjectDetailItems
- kubeObjectMenuItems
- kubeObjectStatusTexts
- manifest
- manifestPath
- protocolHandlers
- statusBarItems

### Accessors

- description
- name
- version

### Methods

- disable
- enable
- getExtensionFileFolder
- isEnabledForCluster
- navigate
- onActivate
- onDeactivate
- toggle
- whenEnabled

## Constructors

### constructor

+ new LensRendererExtension(`__namedParameters`: object): LensRendererExtension

Inherited from LensMainExtension.constructor

Defined in src/extensions/lens-extension.ts:27

Parameters:

▪ __namedParameters: object

Name | Type
--- | ---
`id` | string
`isBundled` | boolean
`manifest` | LensExtensionManifest
`manifestPath` | string

Returns: LensRendererExtension

## Properties

### appPreferences

• appPreferences: AppPreferenceRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:13

### clusterFeatures

• clusterFeatures: ClusterFeatureRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:14

### clusterPageMenus

• clusterPageMenus: ClusterPageMenuRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:11

### clusterPages

• clusterPages: PageRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:9

### commands

• commands: CommandRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:18

### globalPageMenus

• globalPageMenus: PageMenuRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:10

### globalPages

• globalPages: PageRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:8

### id

• id: LensExtensionId

Inherited from LensMainExtension.id

Defined in src/extensions/lens-extension.ts:20

### isBundled

• isBundled: boolean

Inherited from LensMainExtension.isBundled

Defined in src/extensions/lens-extension.ts:23

### kubeObjectDetailItems

• kubeObjectDetailItems: KubeObjectDetailRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:16

### kubeObjectMenuItems

• kubeObjectMenuItems: KubeObjectMenuRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:17

### kubeObjectStatusTexts

• kubeObjectStatusTexts: KubeObjectStatusRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:12

### manifest

• manifest: LensExtensionManifest

Inherited from LensMainExtension.manifest

Defined in src/extensions/lens-extension.ts:21

### manifestPath

• manifestPath: string

Inherited from LensMainExtension.manifestPath

Defined in src/extensions/lens-extension.ts:22

### protocolHandlers

• protocolHandlers: ProtocolHandlerRegistration[] = []

Inherited from LensMainExtension.protocolHandlers

Defined in src/extensions/lens-extension.ts:25

### statusBarItems

• statusBarItems: StatusBarRegistration[] = []

Defined in src/extensions/lens-renderer-extension.ts:15

## Accessors

### description

• get description(): string

Inherited from LensMainExtension.description

Defined in src/extensions/lens-extension.ts:55

Returns: string

### name

• get name(): string

Inherited from LensMainExtension.name

Defined in src/extensions/lens-extension.ts:36

Returns: string

### version

• get version(): string

Inherited from LensMainExtension.version

Defined in src/extensions/lens-extension.ts:40

Returns: string

## Methods

### disable

▸ disable(): Promise‹void›

Inherited from LensMainExtension.disable

Defined in src/extensions/lens-extension.ts:68

Returns: Promise‹void›

### enable

▸ enable(): Promise‹void›

Inherited from LensMainExtension.enable

Defined in src/extensions/lens-extension.ts:60

Returns: Promise‹void›

### getExtensionFileFolder

▸ getExtensionFileFolder(): Promise‹string›

Inherited from LensMainExtension.getExtensionFileFolder

Defined in src/extensions/lens-extension.ts:51

getExtensionFileFolder returns the path to an already created folder. This folder is for the sole use of this extension.

Note: there is no security done on this folder, only obfiscation of the folder name.

Returns: Promise‹string›

### isEnabledForCluster

▸ isEnabledForCluster(`cluster`: Cluster): Promise‹Boolean›

Defined in src/extensions/lens-renderer-extension.ts:34

Defines if extension is enabled for a given cluster. Defaults to `true`.

Parameters:

Name | Type
--- | ---
`cluster` | Cluster

Returns: Promise‹Boolean›

### navigate

▸ navigate‹P›(`pageId?`: string, `params?`: P): Promise‹void›

Defined in src/extensions/lens-renderer-extension.ts:20

Type parameters:

▪ P: object

Parameters:

Name | Type
--- | ---
`pageId?` | string
`params?` | P

Returns: Promise‹void›

### `Protected` onActivate

▸ onActivate(): void

Inherited from LensMainExtension.onActivate

Defined in src/extensions/lens-extension.ts:107

Returns: void

### `Protected` onDeactivate

▸ onDeactivate(): void

Inherited from LensMainExtension.onDeactivate

Defined in src/extensions/lens-extension.ts:111

Returns: void

### toggle

▸ toggle(`enable?`: boolean): void

Inherited from LensMainExtension.toggle

Defined in src/extensions/lens-extension.ts:75

Parameters:

Name | Type
--- | ---
`enable?` | boolean

Returns: void

### whenEnabled

▸ whenEnabled(`handlers`: function): Promise‹(Anonymous function)›

Inherited from LensMainExtension.whenEnabled

Defined in src/extensions/lens-extension.ts:83

Parameters:

▪ handlers: function

▸ (): Promise‹Function[]›

Returns: Promise‹(Anonymous function)›